summaryrefslogtreecommitdiffstats
path: root/package/atftp/ipkg/files/postinst
diff options
context:
space:
mode:
authorflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-01-27 08:19:13 +0000
committerflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-01-27 08:19:13 +0000
commit5d543c881646b6ccf5c80341f192e802e0df0d52 (patch)
treef0b2fcb074fff6cad23ffba355012e7c7a4db0e4 /package/atftp/ipkg/files/postinst
parentea6b5381137b95e3800fa6bdee91046bac8833c4 (diff)
Added dependency for libredline, post-installation will add the needed entries in /etc/services if not present, closes #250
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@3052 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/atftp/ipkg/files/postinst')
-rwxr-xr-xpackage/atftp/ipkg/files/postinst8
1 files changed, 8 insertions, 0 deletions
diff --git a/package/atftp/ipkg/files/postinst b/package/atftp/ipkg/files/postinst
new file mode 100755
index 000000000..a29644996
--- /dev/null
+++ b/package/atftp/ipkg/files/postinst
@@ -0,0 +1,8 @@
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi